ClassifierExample.PointClassifier (BioJava-1.5-beta API)
Keywords: org.biojava.stats.svm.tools.ClassifierExample.PointClassifier class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm.tools
Class ClassifierExample.PointClassifier

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  org.biojava.stats.svm.tools.ClassifierExample.PointClassifier

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable

Enclosing class:
  ClassifierExample

    public static class ClassifierExample.PointClassifier

extends JComponent

An extention of JComponent that contains the points & encapsulates the classifier.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static SVMKernel` | `polyKernel`
`static SVMKernel` | `rbfKernel`
`static SMOTrainer` | `trainer`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ClassifierExample.PointClassifier()` Make a new PointClassifier.

Method Summary
`void` | `classify()` Learn a model from the current points.
`void` | `clear()` Remove all points from the canvas, and discard any model.
`boolean` | `getAddPos()` Retrieve the current value of addPos.
`SVMKernel` | `getKernel()` Retrieve the currently used kernel
`Shape` | `getNegShape()` Retrieve the shape used to represent negative points.
`Shape` | `getPosShape()` Retrieve the shape used to represent positive points.
`void` | `paintComponent(Graphics g)` Renders this component to display the points, and if present, the support vector machine.
`void` | `setAddPos(boolean addPos)` Set a flag so that newly added points will be in the positive class or negative class, depending on wether addPos is true or false respectively.
`void` | `setKernel(SVMKernel kernel)` Set the kernel used for classification.
`void` | `setNegShape(Shape negShape)` Set the Shape to represent the negative points.
`void` | `setPosShape(Shape posShape)` Set the Shape to represent the positive points.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### polyKernel

    public static SVMKernel polyKernel

### rbfKernel

    public static SVMKernel rbfKernel

### trainer

    public static SMOTrainer trainer

Constructor Detail

### ClassifierExample.PointClassifier

    public ClassifierExample.PointClassifier()

  Make a new PointClassifier.

  Hooks up the mouse listener & cursor. Chooses default colors & Shapes.

Method Detail

### setKernel

    public void setKernel(SVMKernel kernel)

  Set the kernel used for classification.

  Parameters:
    `kernel` - the SVMKernel to use

### getKernel

    public SVMKernel getKernel()

  Retrieve the currently used kernel

  Returns:
    the current value of the kernel.

### setAddPos

    public void setAddPos(boolean addPos)

  Set a flag so that newly added points will be in the positive class or negative class, depending on wether addPos is true or false respectively.

  Parameters:
    `addPos` - boolean to flag which class to add new points to

### getAddPos

    public boolean getAddPos()

  Retrieve the current value of addPos.

  Returns:
    true if new points will be added to the positive examples and false if they will be added to the negative examples.

### setPosShape

    public void setPosShape(Shape posShape)

  Set the Shape to represent the positive points.

  The shape should be positioned so that 0, 0 is the center or focus.

  Parameters:
    `posShape` - the Shape to use

### getPosShape

    public Shape getPosShape()

  Retrieve the shape used to represent positive points.

  Returns:
    the current positive Shape

### setNegShape

    public void setNegShape(Shape negShape)

  Set the Shape to represent the negative points.

  The shape should be positioned so that 0, 0 is the center or focus.

  Parameters:
    `negShape` - the Shape to use

### getNegShape

    public Shape getNegShape()

  Retrieve the shape used to represent negative points.

  Returns:
    the current negative Shape

### clear

    public void clear()

  Remove all points from the canvas, and discard any model.

### classify

    public void classify()

  Learn a model from the current points.

  This may take some time for complicated models.

### paintComponent

    public void paintComponent(Graphics g)

  Renders this component to display the points, and if present, the support vector machine.

  Overrides:
    `paintComponent` in class `JComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD